JDownloader Community - Appwork GmbH
 

Reply
 
Thread Tools Display Modes
  #1  
Old 10.09.2022, 17:34
jayer jayer is offline
Baby Loader
 
Join Date: Sep 2022
Posts: 6
Default Linux installer exception with updater

I am using a Synology NAS and did not have any problems 3-4 weeks ago.
Then there was the problem that my logins were not accepted.
I removed the directory and started from scratch but now there seems to be a problem with the updater.
See the attached log files.
Please advise.
Thanks.

Last edited by Jiaz; 12.09.2022 at 10:23.
Reply With Quote
  #2  
Old 12.09.2022, 10:24
Jiaz's Avatar
Jiaz Jiaz is offline
JD Manager
 
Join Date: Mar 2009
Location: Germany
Posts: 78,379
Default

@jayer: What java version are you using? can you provide the output of java -version command?

have you downloaded a fresh copy of https://installer.jdownloader.org/JDownloader.jar
The issue is caused by
Quote:
Caused by: java.lang.IllegalStateException: Content-Length 76 does not match send 7455676165139194376 bytes
But I doubt that you have a multi tb/s connection

anything special about your NAS setup?
if you want we can take a look at this together, just contact us via support@jdownloader.org
Also check for a different java version as this smells like a java/arm bug. try a java 1.8 or java 17 version if available
__________________
JD-Dev & Server-Admin

Last edited by Jiaz; 12.09.2022 at 15:48.
Reply With Quote
  #3  
Old 12.09.2022, 23:57
jayer jayer is offline
Baby Loader
 
Join Date: Sep 2022
Posts: 6
Default

Yes I did download a new file from the installer site and started from scratch.
Here is my java version and synology model.
I will try it with another java version, if I can manage to get this on my device.

Code:
root@stfuplay:/volume1/@appdata# /usr/local/bin/java --version
openjdk 11.0.12 2021-07-20 LTS
OpenJDK Runtime Environment (build 11.0.12+7-LTS)
OpenJDK Zero VM (build 11.0.12+7-LTS, interpreted mode)
root@stfuplay:/volume1/@appdata# uname -a
Linux stfuplay 3.10.108 #42661 SMP Mon Jun 27 15:04:06 CST 2022 armv7l GNU/Linux synology_monaco_ds216play
root@stfuplay:/volume1/@appdata#
oot@stfuplay:/volume1/@appdata# more /etc.defaults/VERSION
majorversion="7"
minorversion="1"
major="7"
minor="1"
micro="0"
productversion="7.1"
buildphase="GM"
buildnumber="42661"
smallfixnumber="4"
nano="4"
base="42661"
builddate="2022/07/26"
buildtime="12:15:53"
Reply With Quote
  #4  
Old 13.09.2022, 10:50
Jiaz's Avatar
Jiaz Jiaz is offline
JD Manager
 
Join Date: Mar 2009
Location: Germany
Posts: 78,379
Default

@jayer: this is the cause, please install/use a proper java release/version. the zero vm is lacking any optimization(interpreted mode) and is noticable slow like hell and may cause other issues, eh like the one you just encounter.
Quote:
OpenJDK Zero VM (build 11.0.12+7-LTS, interpreted mode)
__________________
JD-Dev & Server-Admin

Last edited by Jiaz; 13.09.2022 at 10:54.
Reply With Quote
  #5  
Old 13.09.2022, 21:22
jayer jayer is offline
Baby Loader
 
Join Date: Sep 2022
Posts: 6
Default

Thanks working now, using a new Java version.
:thumbup:

Code:
root@stfuplay:/volume1/@appstore/komga/test# /usr/local/bin/java --version
openjdk 18.0.2.1 2022-08-18
OpenJDK Runtime Environment Temurin-18.0.2.1+1 (build 18.0.2.1+1)
OpenJDK Server VM Temurin-18.0.2.1+1 (build 18.0.2.1+1, mixed mode, sharing)
Reply With Quote
  #6  
Old 14.09.2022, 11:12
Jiaz's Avatar
Jiaz Jiaz is offline
JD Manager
 
Join Date: Mar 2009
Location: Germany
Posts: 78,379
Default

Quote:
Originally Posted by jayer View Post
Thanks working now, using a new Java version.
Thanks for the feedback and you're welcome!
You should switch to Java 11 or Java 17, Java 18 is no LTS release.
__________________
JD-Dev & Server-Admin
Reply With Quote
  #7  
Old 22.09.2022, 20:20
jayer jayer is offline
Baby Loader
 
Join Date: Sep 2022
Posts: 6
Default

Ok I checked, actually I cannot control which Java version is installed.
It always uses the newest one.

I am using the package from here for DSM7: **External links are only visible to Support Staff****External links are only visible to Support Staff**.
Reply With Quote
  #8  
Old 22.09.2022, 20:27
Jiaz's Avatar
Jiaz Jiaz is offline
JD Manager
 
Join Date: Mar 2009
Location: Germany
Posts: 78,379
Default

@jayer: but synology does provide Java package out-of-the-box or why using 3rd party installer? or did they remove java packages?
__________________
JD-Dev & Server-Admin
Reply With Quote
  #9  
Old 22.09.2022, 22:10
jayer jayer is offline
Baby Loader
 
Join Date: Sep 2022
Posts: 6
Default

Yes they removed the package in DSM7. Most of the other users had to use the installation method from rednoah on github.
I am glad it works for now ;-)
Reply With Quote
  #10  
Old 24.09.2022, 01:42
pspzockerscene's Avatar
pspzockerscene pspzockerscene is offline
Community Manager
 
Join Date: Mar 2009
Location: Deutschland
Posts: 64,016
Default

Quote:
Originally Posted by Jiaz View Post
or did they remove java packages?
It has been removed with DSM7 hence we've also updated our Synology instructions.
__________________
JD Supporter, Plugin Dev. & Community Manager
JDownloader 2 Setup Download
Spoiler:

A users' JD crashes and the first thing to ask is:
Quote:
Originally Posted by Jiaz View Post
Do you have Nero installed?
That's true James
Quote:
Originally Posted by James
Die Leute verstehen einfach nicht dass nur weil man mit einer Waffe auch auf Menschen schießen kann dass ein Schützenver​ein kein Ort für Amoklaufide​en ist
Reply With Quote
  #11  
Old 29.09.2022, 12:12
jayer jayer is offline
Baby Loader
 
Join Date: Sep 2022
Posts: 6
Default

Quote:
Originally Posted by pspzockerscene View Post
It has been removed with DSM7 hence we've also updated our **External links are only visible to Support Staff**....
For the record and following the instructions from here: https://support.jdownloader.org/Know...-installation:

Option 1 to install Java does not work with DSM7.
It complains that the package is not DSM7 compatible.
Maybe you want to mention that this is only for DSM6.

Option 2 works on DSM7 however it always installs the latest Java Version.
I did not find any way to use this method and install e.g. Java 8.
See also my comment above. Currently that is:

Code:
openjdk 18.0.2.1 2022-08-18
OpenJDK Runtime Environment Temurin-18.0.2.1+1 (build 18.0.2.1+1)
OpenJDK Server VM Temurin-18.0.2.1+1 (build 18.0.2.1+1, mixed mode, sharing)
Option 3 is only for DSM6.
Reply With Quote
  #12  
Old 29.09.2022, 12:25
Jiaz's Avatar
Jiaz Jiaz is offline
JD Manager
 
Join Date: Mar 2009
Location: Germany
Posts: 78,379
Default

Quote:
Originally Posted by jayer View Post
Option 2 works on DSM7 however it always installs the latest Java Version.
I did not find any way to use this method and install e.g. Java 8.
Okay thanks! Didn't know that you cannot select the version.
__________________
JD-Dev & Server-Admin
Reply With Quote
  #13  
Old 29.09.2022, 13:45
pspzockerscene's Avatar
pspzockerscene pspzockerscene is offline
Community Manager
 
Join Date: Mar 2009
Location: Deutschland
Posts: 64,016
Default

Quote:
Originally Posted by jayer View Post
Option 1 to install Java does not work with DSM7.
It complains that the package is not DSM7 compatible.
Maybe you want to mention that this is only for DSM6.
Thanks.
I've updated the instructions and added a hint that this option is only up to DSM6.
The recommended option has been option 2 for quite some time now as it works for DSM6 and DSM7.

Quote:
Originally Posted by jayer View Post
Option 2 works on DSM7 however it always installs the latest Java Version.
Yes. (Why) is that a problem?
Our instructions never stated to install a specific Java version.
Whenever "Java 8" is mentioned this is just because that was the only version "officially" available via DSM package center. I did not want users to accidentally install- or uninstall other Synology packages with similar names throughout those instructions so I tried to stick to the official package-name.
Just in case there is a mistake or misleading part in our instructions please let me know so I can update this as well.

Quote:
Originally Posted by jayer View Post
Option 3 is only for DSM6.
That is already stated in our instructions.

Quote:
Originally Posted by Jiaz View Post
Okay thanks! Didn't know that you cannot select the version.
It has always been like that if we're talking about the open source "Java installer" by "rednoah".
See his repo:
github.com/rednoah/java-installer
__________________
JD Supporter, Plugin Dev. & Community Manager
JDownloader 2 Setup Download
Spoiler:

A users' JD crashes and the first thing to ask is:
Quote:
Originally Posted by Jiaz View Post
Do you have Nero installed?
That's true James
Quote:
Originally Posted by James
Die Leute verstehen einfach nicht dass nur weil man mit einer Waffe auch auf Menschen schießen kann dass ein Schützenver​ein kein Ort für Amoklaufide​en ist
Reply With Quote
  #14  
Old 29.09.2022, 14:00
Jiaz's Avatar
Jiaz Jiaz is offline
JD Manager
 
Join Date: Mar 2009
Location: Germany
Posts: 78,379
Default

Quote:
Originally Posted by pspzockerscene View Post
Yes. (Why) is that a problem?
It's no problem, just answer to
Quote:
Originally Posted by Jiaz View Post
You should switch to Java 11 or Java 17, Java 18 is no LTS release.
__________________
JD-Dev & Server-Admin
Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

All times are GMT +2. The time now is 07:28.
Provided By AppWork GmbH | Privacy | Imprint
Parts of the Design are used from Kirsch designed by Andrew & Austin
Powered by vBulletin® Version 3.8.10 Beta 1
Copyright ©2000 - 2022, Jelsoft Enterprises Ltd.